/*
 * Querydsl query type
 *
 *
 */
package de.ivu.elect.business.wahlrechtspruefung.entity;

import static com.querydsl.core.types.PathMetadataFactory.*;

import com.querydsl.core.types.Path;
import com.querydsl.core.types.PathMetadata;
import com.querydsl.core.types.dsl.EntityPathBase;
import com.querydsl.core.types.dsl.NumberPath;
import com.querydsl.core.types.dsl.StringPath;
import com.querydsl.core.types.dsl.EnumPath;
import com.querydsl.core.types.dsl.DateTimePath;
import com.querydsl.core.types.dsl.SetPath;
import com.querydsl.core.types.dsl.BooleanPath;
import com.querydsl.core.types.dsl.PathInits;

@javax.enterprise.inject.Vetoed
@javax.annotation.Generated("de.ivu.takatuka")
public class QPruefkriterium extends EntityPathBase<Pruefkriterium> {

  private static final long serialVersionUID = -1;

  // Wird benötigt zur Initialisierung der Entitäten. Verhindert Schleifen, initialisiert standardmäßig aber nur direkte Referenzen, nicht mehrere Ebenen. Mehrere Ebenen müssen explizit angegeben werden.
  private static final PathInits INITS_SAFE = new PathInits("*"
	// Wahl
, "wahl.berichtetAn"
, "wahl.customDataStorage"
, "wahl.einsehenRolle"
, "wahl.wahlart"
, "wahl.wahltermin"
);

  private static final PathInits INITS = de.ivu.elect.jee.entity.QueryDsl.DIREKT_4_EBENEN;

  public static final QPruefkriterium pruefkriterium = new QPruefkriterium("pruefkriterium");

  public final NumberPath<Long> id = createNumber("id", Long.class);

  public final NumberPath<java.lang.Long> fristInTagenBisZurWahl = createNumber("fristInTagenBisZurWahl", java.lang.Long.class);

  public final BooleanPath heilungsfaehig = createBoolean("heilungsfaehig");

  public final BooleanPath kannIrrelevantSein = createBoolean("kannIrrelevantSein");

  public final StringPath kategorie = createString("kategorie");

  public final StringPath kriteriumtext = createString("kriteriumtext");

  public final NumberPath<java.lang.Long> position = createNumber("position", java.lang.Long.class);

  public final EnumPath<de.ivu.elect.business.wahlrechtspruefung.entity.PruefkriteriumBezug> pruefkriteriumBezug = createEnum("pruefkriteriumBezug", de.ivu.elect.business.wahlrechtspruefung.entity.PruefkriteriumBezug.class);

  public final BooleanPath teilDerSofortpruefung = createBoolean("teilDerSofortpruefung");

  public final StringPath textFuerProtokollErfuellt = createString("textFuerProtokollErfuellt");

  public final StringPath textFuerProtokollFrist = createString("textFuerProtokollFrist");

  public final StringPath textFuerProtokollNichtErfuellt = createString("textFuerProtokollNichtErfuellt");

  public final StringPath unterkategorie = createString("unterkategorie");

  public final BooleanPath wahlrechtlichRelevant = createBoolean("wahlrechtlichRelevant");


  // Beziehungen N:1 unidirektional

  public final de.ivu.elect.business.wahl.entity.QWahl wahl;

  // Beziehungen N:1 bidirektional


  // Beziehungen 1:N bidirektional

  /**
   * Beziehungen N:M bidirektional nicht selbstreferenzierend
   */

  public QPruefkriterium(Class<? extends Pruefkriterium> type, PathMetadata metadata, PathInits inits) {
    super(type, metadata, inits);
    this.wahl = inits.isInitialized("wahl") ? new de.ivu.elect.business.wahl.entity.QWahl(forProperty("wahl"), inits.get("wahl")) : null;// de.ivu.elect.business.wahl.entity.QWahl.wahl;
  }

  public QPruefkriterium(String variable) {
    this(Pruefkriterium.class, forVariable(variable), INITS);
  }

  public QPruefkriterium(Path<? extends Pruefkriterium> path) {
    this(path.getType(), path.getMetadata(), path.getMetadata().isRoot() ? INITS : PathInits.DEFAULT);
  }

  public QPruefkriterium(PathMetadata metadata) {
    this(metadata, metadata.isRoot() ? INITS : PathInits.DEFAULT);
  }

  public QPruefkriterium(PathMetadata metadata, PathInits inits) {
    this(Pruefkriterium.class, metadata, inits);
  }
}
